BizKitHub
DocsAPI ReferenceBranch/bff/branch/holding/link
postBranchAdmin BFF

/bff/branch/holding/link

Creates a typed relationship between two company contacts. Duplicates per (org, parent, child, relationType) are rejected by a unique index. Self-loops are forbidden at the DB level.

BranchpostBffBranchHoldingLink

Parameters

JSON body

Request body

application/json
parentContactRefstringRequired

CuRefNo of the parent (owning) company contact.

childContactRefstringRequired

CuRefNo of the child (owned) company contact.

relationType"subsidiary" | "franchisee" | "sister" | "joint_venture" | "silent_partner"Required

Kind of relationship.

ownershipPercentnumber | nullOptional
One of 2:
Variant 1
number

Ownership percent (0–100).

Range: 0100
Variant 2
null
validFromstring | nullOptional
One of 2:
Variant 1
string

ISO YYYY-MM-DD.

Variant 2
null
validTostring | nullOptional
One of 2:
Variant 1
string

ISO YYYY-MM-DD.

Variant 2
null
notesstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired

Response example

application/json
{
  "success": false,
  "id": "example_id"
}

Request example

POST /bff/branch/holding/link

post
curl -X POST "https://api.bizkithub.com/bff/branch/holding/link" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "parentContactRef": "example_parentContactRef",
  "childContactRef": "example_childContactRef"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key